Bug 403721 - Logitech S 510 wireless keyboard extra buttons doesnt work
Logitech S 510 wireless keyboard extra buttons doesnt work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://www.kernel.org/pub/linux/kerne...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 20:13 EST by Alex Tunc
Modified: 2008-06-16 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:54:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Tunc 2007-11-28 20:13:25 EST
Description of problem:
I`m using Logitech S 510 wireless keyboard and under fedora7 extra buttons
doesnt work only we can use right sound buttons with xbindkeys but some1 wrote
kernel patch to work all the extra buttons especialy F mode keys..etc so if u
add this patch to future kernel packages we can use this buttons too.Thanx
here is patch
http://www.kernel.org/pub/linux/kernel/people/jikos/random/hid-make-extra-keys-on-logitech-s510-work.patch

Version-Release number of selected component (if applicable):
fedora7 2.6.23.1-21.fc7


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2008-01-14 05:27:34 EST
Short intro: I'm a Fedora contributer doing some kernel bug triaging, pelase try
upgrading to  kernel-2.6.23.12-52.fc7, I've checked the source and the patch you
mention seems to present in this kernel.

If this kernel works for you please close this bug with a resolution of errata.
Comment 2 Alex Tunc 2008-01-14 07:34:17 EST
     Hi, 

       I`m using 2.6.23.12-52.fc7  kernel  and  seems  extra keys doesnt work?  
I did a test but only standart F keys work even If F mode key doesnt pushed all 
of F keys not respond.. I`m using xbindkeys for  right music&volume keys the 
only working extra keys in linux..  at last  extra keys F1-F12 in special mode, 
zooming, rotate, shuffle) not working..
         


(In reply to comment #1)
> Short intro: I'm a Fedora contributer doing some kernel bug triaging, pelase 
try
> upgrading to  kernel-2.6.23.12-52.fc7, I've checked the source and the patch 
you
> mention seems to present in this kernel.
> 
> If this kernel works for you please close this bug with a resolution of 
errata.
> 

Comment 3 Bug Zapper 2008-05-14 11:07:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:54:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.